# /etc/cron.d/php52-mod-soap: crontab fragment for php52-mod-soap
#
#  This purges temp files in soap.wsdl_cache_dir older than 24h.
#  Based on php52 crontab fragment.
#
#  @2020-02
#  - Use self CLI binary and php scripts, no python deps
#
#  @2018-09
#  - More random time, use python scripts to genereate less i/o
#
#  @2017
#  - Fix env variables to fix call path
#
#  @2016
#  - Add uploads and temporary files cleanup
#
#  @2015-08-19
#  - Add some randomness to less stress hosting
#

PHP=php52
PHPBIN=/usr/bin/php52
UC=/usr/lib/php52/uploadsclean.php

# Look for and purge day old other files every 60+-10 minutes
	5	*	*	*	*	root	[ -x $UC ] && [ -x $PHPBIN ] && [ -d /var/lib/$PHP/soap ] && sleep `shuf -i 5-595 -n 1` && $UC /var/lib/$PHP/soap 1440 || true
