#!/bin/sh

SRC_DIR=`dirname $0`

PCRE_DIR=
if [ `echo "squeeze lucid" | grep -c $REL` -eq 0 ]; then
	# if not them...
	PCRE_DIR="=/usr"
fi

rm -f config.cache

${SRC_ROOT}/configure \
 --prefix=/usr \
 --sysconfdir=/etc/php${PHP_VERSION} \
 --datadir=/usr/share/php${PHP_VERSION} \
 --program-suffix=${PHP_VERSION} \
 --mandir=/usr/share/man \
 --infodir=/usr/share/info \
 --localstatedir=/var/lib/php${PHP_VERSION} \
 --with-config-file-path=/etc/php${PHP_VERSION}/${PHP_SAPI} \
 --with-config-file-scan-dir=/etc/php${PHP_VERSION}/${PHP_SAPI}/conf.d \
 --without-pear \
 $PHP_BUILD_OPTIONS \
 --disable-debug \
 --disable-static \
 --disable-bcmath \
 --without-bz2 \
 --disable-calendar \
 --enable-ctype=static \
 --disable-dba \
 --disable-dbase \
 --disable-dom \
 --disable-exif \
 --disable-ftp \
 --without-gd \
 --without-gettext \
 --without-gmp \
 --without-ldap \
 --enable-hash=static \
 --with-iconv-dir=static,/usr \
 --without-imap \
 --disable-json \
 --disable-mbstring \
 --without-mcrypt \
 --with-mime-magic=/usr/share/misc/magic.mgc \
 --with-mhash \
 --without-mssql \
 --without-mysql \
 --without-mysqli \
 --without-openssl \
 --with-pcre-regex$PCRE_DIR \
 --enable-pdo \
 --without-pdo-dblib \
 --without-pdo-mysql \
 --without-pdo-pgsql \
 --without-pdo-sqlite \
 --without-pgsql \
 --enable-sysvmsg=static \
 --enable-sysvsem=static \
 --enable-sysvshm=static \
 --without-readline \
 --without-recode \
 --with-kerberos \
 --enable-simplexml=static \
 --without-snmp \
 --disable-soap \
 --enable-sockets=static \
 --with-zlib-dir=static,/usr \
 --without-sqlite \
 --disable-zip \
 --without-curl \
 --without-pspell \
 --enable-shmop=static \
 --disable-pcntl \
 --without-tidy \
 --disable-tokenizer \
 --enable-session=static \
 --disable-posix \
 --disable-wddx \
 --enable-xml=static \
   --with-libexpat-dir=/usr \
 --without-xsl \
 --without-xmlrpc \
 --disable-xmlreader \
 --disable-xmlwriter \
 --with-system-tzdata
